Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfFontManager

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfFontManager

    public final class RtfFontManager

extends java.lang.Object

RTF font table.

This work was authored by Andreas Putz (a.putz@skynamics.com).

Method Summary
`int` | `getFontNumber(java.lang.String family)` Gets the number of font in the font table
`static RtfFontManager` | `getInstance()` Singelton.
`void` | `writeFonts(org.apache.fop.render.rtf.rtflib.rtfdoc.RtfHeader header)` Writes the font table in the header.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static RtfFontManager getInstance()

  Singelton.

  Returns:
    The instance of RtfFontManager

### getFontNumber

    public int getFontNumber(java.lang.String family)

  Gets the number of font in the font table

  Parameters:
    `family` - Font family name ('Helvetica')
  Returns:
    The number of the font in the table

### writeFonts

    public void writeFonts(org.apache.fop.render.rtf.rtflib.rtfdoc.RtfHeader header)
                    throws java.io.IOException

  Writes the font table in the header.

  Parameters:
    `header` - The header container to write in
  Throws:
    `java.io.IOException` - On error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.